Summary:        A powerful embeddable scripting language
Name:           lua
Version:        5.1.4
Release:        1.1
License:        MIT
Group:          Development/Languages
Source0:        http://www.%{name}.org/ftp/%{name}-%{version}.tar.gz
Patch0:         %{name}-5.1.3-dynamic.patch
URL:            http://www.%{name}.org/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ncurses-devel readline-devel

%description
Lua is a powerful, fast, light-weight, embeddable scripting language. It
combines simple procedural syntax with powerful data description constructs
based on associative arrays and extensible semantics. Lua is dynamically
typed, runs by interpreting bytecode for a register-based virtual machine,
and has automatic memory management with incremental garbage collection,
making it ideal for configuration, scripting, and rapid prototyping.


%package     -n lib%{name}
Summary:        The Lua interpreter library
Group:          System Environment/Libraries

%description -n lib%{name}
The lib%{name} package contains the Lua interpreter as shared library.


%package     -n lib%{name}-devel
Summary:        Development tools for lib%{name}
Group:          Development/Libraries
Requires:       lib%{name} = %{version}-%{release}

%description -n lib%{name}-devel
The lib%{name}-devel package contains the static libraries and header files
for developing software using Lua.


%prep
%setup -q
%patch0 -p1

# Fix config
for FILE in Makefile etc/lua.pc src/luaconf.h; do
  %{__sed} -i -e 's#/usr/local#%{_prefix}#g' \
	      -e 's#/lib#/%{_lib}#g'         \
	      -e 's#lib/lua#%{_lib}/lua#g'   \
	      -e 's#/man/#/share/man/#g' ${FILE}
done


%build
%{__make} \
	EXTRA_CFLAGS="${RPM_OPT_FLAGS}" \
	linux


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig

%{__make} \
	INSTALL_TOP=${RPM_BUILD_ROOT}%{_prefix} \
	install

%{__install} -m 0644 etc/lua.pc ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?


%post -n lib%{name} -p /sbin/ldconfig


%postun -n lib%{name} -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYRIGHT HISTORY INSTALL README
%doc doc/*.{css,gif,html,png}
%{_bindir}/lua
%{_bindir}/luac
%{_mandir}/man1/lua.1*
%{_mandir}/man1/luac.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/liblua.so.*
%{_libdir}/lua
%{_datadir}/lua

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/lua.hpp
%{_includedir}/lua*.h
%{_includedir}/lauxlib.h
%{_libdir}/liblua.a
%{_libdir}/liblua.so
%{_libdir}/pkgconfig/lua.pc


%changelog
